import { NgModule, Component } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CustomerComponent } from './customer.component';
import { CustomersListComponent } from './customers-list/customers-list.component';
import { CustomersAddEditComponent } from './customers-add-edit/customers-add-edit.component';
import { CustomersAddEditTwoComponent } from './customers-add-edit-two/customers-add-edit-two.component';
import { CustomersAddEditThreeComponent } from './customers-add-edit-three/customers-add-edit-three.component';



const routes: Routes = [
    {path: '',  component: CustomerComponent, children: [
      {path: '', redirectTo: 'listView', pathMatch: 'full'},
      {path: 'listView', component: CustomersListComponent},
      {path: 'register', component: CustomersAddEditComponent},
      {path: 'registerTwo', component: CustomersAddEditTwoComponent},
      {path: 'registerThree', component: CustomersAddEditThreeComponent},
      {path: 'edit/:editId', component: CustomersAddEditComponent },
      {path: '**', redirectTo: 'listView', pathMatch: 'full'},
    ]},
  ];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class CustomersRoutingModule {
  
  
  settings = {
    columns: {
      id: {
        title: 'ID'
      },
      name: {
        title: 'Full Name'
      },
      username: {
        title: 'User Name'
      },
      email: {
        title: 'Email'
      }
    }
  };
  
  data = [
    {
      id: 1,
      name: "Leanne Graham",
      username: "Bret",
      email: "Sincere@april.biz"
    },
    // ... other rows here
    {
      id: 11,
      name: "Nicholas DuBuque",
      username: "Nicholas.Stanton",
      email: "Rey.Padberg@rosamond.biz"
    }
  ];

 }


