import { RouterModule, Routes } from '@angular/router';
import { NgModule } from '@angular/core';

import { PagesComponent } from './pages.component';
import { DashboardComponent } from './dashboard/dashboard.component';
import { ECommerceComponent } from './e-commerce/e-commerce.component';
import { NotFoundComponent } from './miscellaneous/not-found/not-found.component';

const routes: Routes = [
  { path: '', component: PagesComponent, children: [
  { path: '', redirectTo: 'system-admins', pathMatch: 'full' }, 
  { path: 'customers', loadChildren: './customers/customer.module#CustomersModule'},
  { path: 'system-admins', loadChildren: './system-admins/system-admins.module#SystemAdminsModule'},
  { path: '**', component: NotFoundComponent},
  ],
}];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})

export class PagesRoutingModule {
}
